Package com.sas.services.information.metadata

# Interface PropertySetInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

public interface PropertySetInterface extends MetadataInterface

Since:
  1.1 This is a general interface for object that implement methods that apply to a set of properties.

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSetProperty(PropertyInterface property)`
  Add a property to the current set.
  `MetadataInterface`
  `getOwningObject()`
  Get the object that owns this property set.
  `List`
  `getSetProperties()`
  Get a List of the properties that belong to this set.
  `String`
  `getSetRole()`
  Get the setRole attribute on the PropertySet.
  `void`
  `removeSetProperty(PropertyInterface property)`
  Remove a property from the set.
  `void`
  `setOwningObject(MetadataInterface owner)`
  Set the object that this propertyset modifies.
  `void`
  `setSetProperties(List properties)`
  Set the current set of properties to the given set.
  `void`
  `setSetRole(String role)`
  Set the setRole attribute on the PropertySet.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getSetProperties

    List getSetProperties() throws ServiceException, RemoteException
    Get a List of the properties that belong to this set.
    Returns:
      a List of Property objects.
    Throws:
      `ServiceException` - in the event of repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### addSetProperty

    void addSetProperty(PropertyInterface property) throws ServiceException, RemoteException
    Add a property to the current set.
    Parameters:
      `property` - A Property object to add to this set.
    Throws:
      `ServiceException` - in the event of repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### removeSetProperty

    void removeSetProperty(PropertyInterface property) throws ServiceException, RemoteException
    Remove a property from the set.
    Parameters:
      `property` - the Property to remove from the set.
    Throws:
      `ServiceException` - in the event of repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### setSetProperties

    void setSetProperties(List properties) throws ServiceException, RemoteException
    Set the current set of properties to the given set. The existing set is competely replaced with the new set.
    Parameters:
      `properties` - A List of properties to make the current set.
    Throws:
      `ServiceException` - in the event of repository failure.
      `RemoteException` - in the event of remote object failure.

  - ### setOwningObject

    void setOwningObject(MetadataInterface owner) throws ServiceException, RemoteException
    Set the object that this propertyset modifies.
    Parameters:
      `owner` - The object that owns this property set
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getOwningObject

    MetadataInterface getOwningObject() throws ServiceException, RemoteException
    Get the object that owns this property set.
    Returns:
      The owner of the property set.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setSetRole

    void setSetRole(String role) throws ServiceException, RemoteException
    Set the setRole attribute on the PropertySet.
    Parameters:
      `role` - A String defining the role of this PropertySet.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getSetRole

    String getSetRole() throws ServiceException, RemoteException
    Get the setRole attribute on the PropertySet.
    Returns:
      The String defining the role of this PropertySet.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.